1. elefkokkonan

    Thread Starter New Member

    May 28, 2007
    2
    0
    I'm trying to programm a pic 16f877 using MPlab, though i've not been able to compile the simplest of progams. Even though there are no errors (only a few errors like 207 that are not of importance I think..) the assembling keeps failing... I keep seeing this message:

    Executing: "C:\Program Files\Microchip\MPASM Suite\MPAsmWin.exe" /q /p16F877 "C:\Documents and Settings\Elef\Desktop\Arxh.asm" /l"Arxh.lst" /e"Arxh.err" /o"Arxh.o"
    Warning[207] C:\DOCUMENTS AND SETTINGS\ELEF\DESKTOP\ARXH.ASM 5 : Found label after column 1. (STATUS)
    Warning[207] C:\DOCUMENTS AND SETTINGS\ELEF\DESKTOP\ARXH.ASM 6 : Found label after column 1. (TRISA)
    Warning[207] C:\DOCUMENTS AND SETTINGS\ELEF\DESKTOP\ARXH.ASM 7 : Found label after column 1. (PORTA)
    Warning[207] C:\DOCUMENTS AND SETTINGS\ELEF\DESKTOP\ARXH.ASM 8 : Found label after column 1. (RP0)
    Warning[207] C:\DOCUMENTS AND SETTINGS\ELEF\DESKTOP\ARXH.ASM 10 : Found label after column 1. (main)
    Warning[207] C:\DOCUMENTS AND SETTINGS\ELEF\DESKTOP\ARXH.ASM 16 : Found label after column 1. (ARXH)
    A language-plugin exception occurred and was logged.
    BUILD FAILED: Mon May 28 13:44:30 2007


    The programmm couldn't be any simpler...

    LIST P=16F877
    #include "P16F877.INC"
    ERRORLEVEL -302
    org 20h
    STATUS EQU 03h
    TRISA EQU 85h
    PORTA EQU 05h
    RP0 equ 5

    main

    bsf STATUS,RP0
    movlw b'00000000'
    movwf TRISA
    BCF STATUS,RP0
    ARXH: MOVLW 01h
    MOVWF PORTA
    MOVLW 00h
    MOVWF PORTA
    GOTO ARXH
    END

    Pliz I'm desparate i've tried everything:eek:
     
  2. Dave

    Retired Moderator

    Nov 17, 2003
    6,960
    144
    Can you confirm that you are using MPLAB 7.60?

    Dave
     
  3. elefkokkonan

    Thread Starter New Member

    May 28, 2007
    2
    0
    yap mplab 7.60....
     
  4. Dave

    Retired Moderator

    Nov 17, 2003
    6,960
    144
    I think that is your problem. The only time I have seen this error is using v7.60 on code which works perfectly well with v7.52. Can I recommend that you try v7.52 instead of v7.60. I know others have experienced this problem using v7.60 and they fixed it by downgrading to v7.52.

    Dave
     
  5. carlcat

    Member

    Aug 22, 2007
    14
    0
    If mlab 7.60 is flawed, can one get the downgraded version free and if so, where? On the Mlab sight, 7.60 is offered
     
  6. Dave

    Retired Moderator

    Nov 17, 2003
    6,960
    144
    Its only flawed if you are experiencing problems like the one described in the OP. That said, the only way I know of downgrading is to use the original installation disc that MPLAB came on (if you have it) - I don't know of any (reputable) on-line sources for the download.

    Dave
     
  7. niftydog

    Active Member

    Jun 13, 2007
    95
    0
    7.52.zip
    creative URL editing works wonders.
     
  8. Dave

    Retired Moderator

    Nov 17, 2003
    6,960
    144
    Lol! You can't get that through the homepage or search engine! :D

    Dave
     
  9. atferrari

    AAC Fanatic!

    Jan 6, 2004
    2,648
    762
    There is an option to download previous versions just there in the same place where you get the latest version.

    Look carefully.
     
  10. Dave

    Retired Moderator

    Nov 17, 2003
    6,960
    144
    Wow, that is tucked away! For the benefit of others, microchip archives their older versions here.

    Dave
     
Loading...